Index: /trunk/contactcenter/js/cc.js
===================================================================
--- /trunk/contactcenter/js/cc.js	(revision 4507)
+++ /trunk/contactcenter/js/cc.js	(revision 5131)
@@ -231,5 +231,5 @@
 function openContactDetails(id){
 	// Build the ContactDetails Window.
-	if(!contactdetailsWin && !is_ie) 
+	if((typeof(contactdetailsWin) == 'undefined') && !is_ie) 
 		__cdWin();
 
@@ -996,5 +996,13 @@
         for (var type in CC_contact_full_info['connections']){
             haveConnections = true;
+			var reEmail = /^[a-zA-Z0-9][_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]{1,})*$/;
             for (var i in CC_contact_full_info['connections'][type]){
+				if(type == 1){
+					if(!reEmail.test(CC_contact_full_info['connections'][type][i]['value'])){
+						showMessage('Endereço para conexão de ' + CC_contact_full_info['connections'][type][i]['name'] + ', não é válido');
+						return false;
+					}
+				}
+				else{
                 if((CC_contact_full_info['connections'][type][i]['value'].length < 4) ||
                     (!comp.test(CC_contact_full_info['connections'][type][i]['value']))){
@@ -1002,4 +1010,5 @@
                     return false;
                 }
+            }
             }
             var _options_default = Element("cc_"+(type == 1 ? 'email' : 'phone')+"_default");
@@ -1009,8 +1018,4 @@
             }
         }
-    }
-    if(!haveConnections){
-        showMessage(Element('cc_msg_tel_or_mail_required').value);
-        return false;
     }
 
@@ -1634,5 +1639,5 @@
 			//'<td style="width: 30px;" align="right"><input name="cc_conn_is_default" id="cc_conn_is_default_'+ CC_conn_count +'" type="radio"></td>'+
 			'<td style="width: 10px;" align="right"><input id="cc_conn_name_'+CC_conn_count+'" type="hidden"><td style="width: 100px;" align="right"><span style="width: 150px;" id="cc_conn_label_'+CC_conn_count+'">'+_label+'</span></td>' +
-			'<td align="left"><input id="cc_conn_value_'+ CC_conn_count +'" style="width: 150px;" maxlength="100" type="text">&nbsp;' +
+			'<td align="left"><input id="cc_conn_value_'+ CC_conn_count +'" onkeyup="javascript:emailTolower(\'cc_conn_value_' + CC_conn_count + '\')" style="width: 150px;" maxlength="100" type="text">&nbsp;' +
 			'<img align="top" alt="X" src="templates/default/images/x.png" style="width:18px; height:18px" onclick="javascript:removeConnField(\'cc_conn_tr_' + CC_conn_count + '\')"></td>';
 		}
@@ -1642,5 +1647,5 @@
 			//'<td style="width: 30px;" align="right"><input name="cc_conn_is_default" id="cc_conn_is_default_'+ CC_conn_count +'" type="radio"></td>'+
 			'<td style="width: 10px;" align="right"><input id="cc_conn_name_'+CC_conn_count+'" type="hidden"><td style="width: 100px;" align="right"><span style="width: 150px;" id="cc_conn_label_'+CC_conn_count+'">'+_label+'</span></td>' +
-			'<td align="left"><input id="cc_conn_value_'+ CC_conn_count +'" style="width: 150px;" maxlength="30" type="text" onkeyup="formatPhone(this)">&nbsp;' +
+			'<td align="left"><input id="cc_conn_value_'+ CC_conn_count +'" onkeyup="javascript:emailTolower(\'cc_conn_value_' + CC_conn_count + '\')" style="width: 150px;" maxlength="30" type="text" onkeyup="formatPhone(this)">&nbsp;' +
 			'<img align="top" alt="X" src="templates/default/images/x.png" style="width:18px; height:18px" onclick="javascript:removeConnField(\'cc_conn_tr_' + CC_conn_count + '\')"></td>';
 		}
@@ -1806,4 +1811,9 @@
 
 	connRemoveLine(id);
+}
+
+function emailTolower(obj){
+	document.getElementById(obj).value = document.getElementById(obj).value.toLowerCase();
+
 }
 
@@ -2308,10 +2318,10 @@
 
 								if(data[3][pos][k] === 'none')
-									data[3][pos][k] = '&nbsp';
+									"Não informado.";
 								break;
 							case 'cc_phone' :
 
 								if(data[3][pos][k] === 'none')
-									data[3][pos][k] = '&nbsp';
+									data[3][pos][k] = "Não informado.";
 								break;
 						}
@@ -2352,5 +2362,8 @@
 								else
 								{
+									if(data[3][pos][k] != "Não informado.")
 									Element(id+':'+data[2][k]).innerHTML = data[5] + data[3][pos][k] + '\')">'+ data[3][pos][k]+'</span>';
+									else
+										Element(id+':'+data[2][k]).innerHTML = data[13] + data[3][pos][k] + '\')">'+ data[3][pos][k]+'</span>';
 								}
 								break;
@@ -2366,9 +2379,16 @@
 									Element(id+':'+data[2][k]).innerHTML = adjustString(data[3][pos][k], 20);
 								}
+								if(data[3][pos][k] != " ")
 								Element(id+':cc_phone').innerHTML = (data[3][pos][k].length < 23) ? data[3][pos][k]:data[3][pos][k].substr(0,22)+"<br>"+data[3][pos][k].substr(22,data[3][pos][k].length);
+								else
+									Element(id+':cc_phone').innerHTML = "Não informado.";
 								break;
 
 							case 'cc_title':
-								if (data[3][pos][k].length > 15)
+								if(preferences.departmentShow && ccTree.catalog_perms == 1){
+									if(data[3][pos][k] == " " || data[3][pos][k] == "" || data[3][pos][k] == "undefined"){
+										Element(id+':'+data[2][k]).innerHTML = "Não informado.";
+									}
+									else if (data[3][pos][k].length > 15)
 								{
 									Element(id+':'+data[2][k]).innerHTML = adjustString(data[3][pos][k], 15);
@@ -2380,5 +2400,7 @@
 								}
 								break;
-
+								}else{
+									break;
+								}
 							case 'cc_id':
 								var id_contact = data[3][pos][k];
@@ -2410,4 +2432,5 @@
 							//Para tratar tamanho do campo "celular" do empregado
 							case 'cc_mobile':
+								if(preferences.cellShow && ccTree.catalog_perms == 1){
 								if (data[3][pos][k].length > 20)
 								{
@@ -2421,7 +2444,10 @@
 								Element(id+':cc_mobile').innerHTML = data[3][pos][k];
 								break;
-
+								}else{
+									break;
+								}		
 							//Para tratar tamanho do campo "matricula" do empregado
 							case 'cc_empNumber':
+								if(preferences.empNumShow && ccTree.catalog_perms == 1){
 								if (data[3][pos][k].length > 20)
 								{
@@ -2435,5 +2461,7 @@
 								Element(id+':cc_empNumber').innerHTML = data[3][pos][k];
 								break;
-
+								}else{
+									break;
+								}
 							//Para tratar tamanho do campo "departamento" do empregado
 							case 'cc_department':
@@ -2461,4 +2489,34 @@
 									Element(id+':'+data[2][k]).innerHTML = data[3][pos][k];
 								}
+						}
+					}else{
+						data[3][pos][k] = unescape(data[3][pos][k]);
+						switch (data[2][k])
+						{
+							case 'cc_mail':
+								Element(id+':'+data[2][k]).innerHTML = data[13] + "Não informado." + '\')">'+ "Não infomardo." +'</span>';
+								break;
+
+							case 'cc_phone':
+								Element(id+':cc_phone').innerHTML = "Não informado.";
+								break;
+							case 'cc_empNumber':
+								if(preferences.empNumShow && ccTree.catalog_perms == 1){
+									var cc_empNumberTD = Element(id+':cc_empNumber').parentNode;
+									cc_empNumberTD.parentNode.removeChild(cc_empNumberTD);
+								}
+								break;
+							case 'cc_mobile':
+								if(preferences.cellShow && ccTree.catalog_perms == 1){
+									var cc_mobileTD = Element(id+':cc_mobile').parentNode;
+									cc_mobileTD.parentNode.removeChild(cc_mobileTD);
+								}
+								break;
+							case 'cc_title':
+								if(preferences.departmentShow && ccTree.catalog_perms == 1){
+									var cc_titleTD = Element(id+':cc_title').parentNode;
+									cc_titleTD.parentNode.removeChild(cc_titleTD);
+								}
+								break;
 						}
 					}
@@ -2515,7 +2573,7 @@
 						{
 							case 'cc_title':
-								if (data[3][pos][k].length > 50)
+								if (data[3][pos][k].length > (CC_visual == 'table'  ? 50 : 20))
 								{
-									Element(id+':'+data[2][k]).innerHTML = adjustString(data[3][pos][k], 50);
+									Element(id+':'+data[2][k]).innerHTML = adjustString(data[3][pos][k], (CC_visual == 'table'  ? 50 : 20));
 									Element(id+':'+data[2][k]).title = data[3][pos][k];
 								}
@@ -2663,10 +2721,10 @@
 						'<img title="'+Element('cc_msg_card_remove').value+'" id="' + id + ':cc_card_remove" style="position: absolute; top: 78px; left: 223px; width: 15px; height: 14px; cursor: pointer; cursor: hand; z-index: 1" onclick="removeEntry(Element(\'' + id + ':cc_id\').value);" onmouseover="resizeIcon(\''+id+':cc_card_remove\',0)" onmouseout="resizeIcon(\''+id+':cc_card_remove\',1)" src="templates/default/images/cc_x.png">' : '') +
 						'<img id="' + id + ':cc_photo" style="position: absolute; top: 15px; left: 7px;" src="" border="0" ondblclick="editContact(Element(\'' + id + ':cc_id\').value);">' +
-						'<span id="' + id + ':cc_company" style="position: absolute; top: 5px; left: 75px; width: 135px; border: 0px solid #999; font-weight: bold; font-size: 14px; text-align: center; height: 10px;" onmouseover="//Element(\''+id+':cc_company_full\').style.visibility=\'visible\'" onmouseout="//Element(\''+id+':cc_company_full\').style.visibility=\'hidden\'"></span>' +
+						'<span id="' + id + ':cc_company" style="position: absolute; top: 5px; left: 75px; width: 135px; border: 0px solid #999; font-weight: bold; font-size: 10px; text-align: center; height: 10px;" onmouseover="//Element(\''+id+':cc_company_full\').style.visibility=\'visible\'" onmouseout="//Element(\''+id+':cc_company_full\').style.visibility=\'hidden\'"></span>' +
 						'<span style="cursor: pointer; cursor: hand; z-index: 1;position: absolute; top: 100px; left: 35px"  valign="bottom" id="' + id + ':cc_icon_group">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>'+
 						//Para exibir a matricula do empregado nos cartoes
-						'<span id="' + id + ':cc_empNumber" style="position: absolute; top: 15px; left: 75px; width: 135px; border: 0px solid #999; font-weight: normal; font-size: 9px; text-align: center; height: 10px;"></span>' +
+						'<span id="' + id + ':cc_empNumber" style="position: absolute; top: 20px; left: 75px; width: 135px; border: 0px solid #999; font-weight: normal; font-size: 9px; text-align: center; height: 10px;"></span>' +
 						'<span id="' + id + ':cc_name" style="position: absolute; top: 30px; left: 75px; width: 135px; border: 0px solid #999; font-weight: bold; font-size: 10px; text-align: center; height: 10px;" onmouseover="//Element(\''+id+':cc_name_full\').style.visibility=\'visible\'" onmouseout="//Element(\''+id+':cc_name_full\').style.visibility=\'hidden\'"></span>' +
-						'<span id="' + id + ':cc_title" style="position: absolute; top: 50px; left: 75px; width: 135px; border: 0px solid #999; font-weight: normal; font-size: 12px; text-align: center; height: 10px;"></span>' +
+						'<span id="' + id + ':cc_title" style="position: absolute; top: 90px; left: 75px; width: 135px; border: 0px solid #999; font-weight: normal; font-size: 12px; text-align: center; height: 10px;"></span>' +
 						//Para exibir o setor/lotacao do empregado nos cartoes
 						'<span id="' + id + ':cc_department" style="position: absolute; top: 60px; left: 75px; width: 135px; border: 0px solid #999; font-weight: normal; font-size: 10px; text-align: center; height: 10px;"></span>' +
@@ -2694,6 +2752,6 @@
 					'<span id="' + id + ':cc_participantes" style="cursor: pointer; cursor: hand; z-index: 1"></span>' +
 					'<span id="' + id + ':cc_title"></span></td>' +
-					'<td width="40%" style="solid #999; font-weight: normal; font-size: 10px; text-align: left; height: 10px"><span onMouseOver="this.title = \''+Element('cc_send_mail').value+'\'"  id="' + id + ':cc_short_name"></span></td>' +
-					'<td align="left" width="55px">'+
+					'<td width="40%" style="solid #999; font-weight: normal; font-size: 10px; text-align: left; height: 10px"><span id="' + id + ':cc_short_name"></span></td>' +
+					'<td align="center" width="10%">'+
 					'<img  title="'+Element('cc_msg_group_edit').value+'" id="' + id + ':cc_card_edit" style=" cursor: pointer; cursor: hand; z-index: 1;width: 18px; height: 18px;"  onclick="editGroup(Element(\'' + id + ':cc_id\').value);" src="templates/default/images/cc_card_edit.png">' +
 					'&nbsp;&nbsp;|&nbsp;&nbsp;'+
@@ -2705,16 +2763,16 @@
 				html_card = '<tr  style="height:20px" id="' + id + '" onmouseout="'+bg+'" onmouseover="this.style.background=\'LIGHTYELLOW\'" bgcolor="EEEEEE">' +
 					//Para exibir a matricula do empregado na tabela
-					(preferences.empNumShow && ccTree.catalog_perms == 1 ? '<td align="center" nowrap><span style="solid #999; font-weight: normal; font-size: 10px;height: 10px" id="' + id + ':cc_empNumber"></span></td>' : '') +
+					(preferences.empNumShow && ccTree.catalog_perms == 1 ? '<td align="center" width="10%" name="cc_name_empNumber" nowrap><span style="solid #999; font-weight: normal; font-size: 10px;height: 10px" id="' + id + ':cc_empNumber"></span></td>' : '') +
 					'<td width="auto" style="font-weight: normal; font-size: 10px; text-align: left; height: 10px;"><span valign="bottom" id="' + id + ':cc_icon_group">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span id="' + id + ':cc_name"></span></td>' +
-					'<td style="solid #999; font-weight: normal; font-size: 10px; text-align: left; height: 10px"><span onMouseOver="this.title = \''+Element('cc_send_mail').value+' => '+'\'+document.getElementById(\''+id + ':cc_name\').innerHTML" id="' + id + ':cc_mail"></span></td>' +
-					'<td align="center" nowrap><span style="solid #999; font-weight: normal; font-size: 10px;height: 10px" id="' + id + ':cc_phone"></span></td>' +
+					'<td width="20%" align="center" name="cc_name_send_mail" style="solid #999; font-weight: normal; font-size: 10px; height: 10px"><span onMouseOver="this.title = \''+Element('cc_send_mail').value+' => '+'\'+document.getElementById(\''+id + ':cc_name\').innerHTML" id="' + id + ':cc_mail"></span></td>' +
+					'<td width="20%" align="center" name="cc_name_phone" nowrap><span style="solid #999; font-weight: normal; font-size: 10px;height: 10px" id="' + id + ':cc_phone"></span></td>' +
 					//Para exibir o celular empresarial do empregado na tabela
-					(preferences.cellShow && ccTree.catalog_perms == 1 ?	'<td align="center" nowrap><span style="solid #999; font-weight: normal; font-size: 10px;height: 10px" id="' + id + ':cc_mobile"></span></td>' : '') +
+					(preferences.cellShow && ccTree.catalog_perms == 1 ?	'<td align="center" name="cc_name_mobile" nowrap><span style="solid #999; font-weight: normal; font-size: 10px;height: 10px" id="' + id + ':cc_mobile"></span></td>' : '') + 
 					//Para exibir o setor/lotacao do empregado na tabela
-					(preferences.departmentShow && ccTree.catalog_perms == 1 ? '<td align="center" nowrap><span style="solid #999; font-weight: normal; font-size: 10px;height: 10px" id="' + id + ':cc_department"></span></td>' : '') +
+					(preferences.departmentShow && ccTree.catalog_perms == 1 ? '<td align="center" name="cc_name_title" nowrap><span style="solid #999; font-weight: normal; font-size: 10px;height: 10px" id="' + id + ':cc_title"></span></td>' : '') +
 					( ccTree.catalog_perms == 1 ?
-					'<td align="left"><span valign="bottom" id="' + id + ':cc_icon_data"></span></td>':'') +					
+					'<td align="center" width="10%"><span valign="bottom" id="' + id + ':cc_icon_data"></span></td>':'') +					
 					(ccTree.catalog_perms & 2 ?
-					'<td align="left" >'+
+					'<td align="center" width="10%" >'+
 					'<img  title="'+Element('cc_msg_card_edit').value+'" id="' + id + ':cc_card_edit" style=" cursor: pointer; cursor: hand; z-index: 1;width: 18px; height: 18px;"  onclick="editContact(Element(\'' + id + ':cc_id\').value);" src="templates/default/images/cc_card_edit.png">' +
 					'&nbsp;&nbsp;|&nbsp;&nbsp;'+
@@ -2722,5 +2780,5 @@
 					'<input id="' + id + ':cc_id" type="hidden">'+
 					'<input type="hidden" id="' + id + ':cc_photo">' +
-					'<span id="' + id + ':cc_title" style="display:none"></span>' +
+					//'<span id="' + id + ':cc_mobile" style="display:none"></span>' +
 					'<span id="' + id + ':cc_alias" style="display:none"></span>' +
 					// Esse campo é necessário se o contato possui dados no campo cc_company
Index: /trunk/contactcenter/js/ccQuickAdd-plugin.js
===================================================================
--- /trunk/contactcenter/js/ccQuickAdd-plugin.js	(revision 4721)
+++ /trunk/contactcenter/js/ccQuickAdd-plugin.js	(revision 5131)
@@ -202,6 +202,6 @@
 		}
 		//Utiliza expressão regular para validar email
-		if (this._fields[4].value != '') {
-			var reEmail = /^[A-Za-z\d_-]+(\.[A-Za-z\d_-]+)*@(([A-Za-z\d][A-Za-z\d-]{0,61}[A-Za-z\d]\.)+[A-Za-z]{2,6}|\[\d{1,3}(\.\d{1,3}){3}\])$/;
+		if (this._fields[4].value != ''){
+			var reEmail = /^[a-zA-Z0-9][_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]{1,})*$/;
 			
 			if (sdata[4] !== "" && !reEmail.test(this._fields[4].value)) {
@@ -211,8 +211,5 @@
 			}
 		}
-		else if(this._fields[3].value=='') {
-			alert(Element('cc_msg_tel_or_mail_required').value);
-			return false;
-		}
+		sdata[4] = sdata[4].toLowerCase();
 		var sdata = 'add='+escape(serialize(sdata));
 
Index: /trunk/contactcenter/js/ccMain.js
===================================================================
--- /trunk/contactcenter/js/ccMain.js	(revision 3795)
+++ /trunk/contactcenter/js/ccMain.js	(revision 5131)
@@ -22,5 +22,5 @@
 		var search_params = new Array();
 		search_params['holder'] = Element('cc_panel_search_call');
-		search_params['total_width'] = (v_label != false &  v_atrib != false)? '485px' : '330px';
+		search_params['total_width'] = (v_label != false &  v_atrib != false)? '485px' : '335px';
 		search_params['input_width'] = '200px';
 		search_params['progress_top'] = '150px';
Index: /trunk/contactcenter/js/ccIEContacts.js
===================================================================
--- /trunk/contactcenter/js/ccIEContacts.js	(revision 3334)
+++ /trunk/contactcenter/js/ccIEContacts.js	(revision 5131)
@@ -47,11 +47,12 @@
 			this.el.style.top = "0px";
 			this.el.style.width = this.wWidth	+ 'px';
-			this.el.style.height = this.wHeight + 'px';
+			this.el.style.height = this.wHeight + 100+'px';
 			if(is_ie) {
-				this.el.style.width = "430";
+				this.el.style.width = "650";
 				this.el.style.overflowY = "auto";	
 				this.el.style.overflowX = "hidden";
 			}													
 			else {									
+				this.el.style.overflowY = "auto";
 				this.el.style.overflow = "-moz-scrollbars-vertical";
 			}
@@ -75,13 +76,14 @@
 			var lang_outl2k_pt = Element('cc_msg_outlook_2k_pt').value;
 			var lang_outl2k_en = Element('cc_msg_outlook_2k_en').value;
+			var lang_outl03 = Element('cc_msg_outlook_2003').value;
 			var lang_expresso_default_csv = Element('cc_msg_expresso_default_csv').value;
 
 		
 			this.el.innerHTML = 
-			'<div align="left" id="divAppbox"><table width="100%" border=0>'+
+			'<div align="left" id="divAppbox" width="90%" ><table width="100%" border=0>'+
 			'<tr><td style="border-bottom:1px solid black"><input onclick="javascript:ccIEContacts.changeOptions(this.value)" id="type" type="radio" name="type" value="i" style="border:0" checked>'+lang_import_contacts+
 			'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input onclick="javascript:ccIEContacts.changeOptions(this.value)" id="type" type="radio" name="type" style="border:0" value="e"/>'+lang_export_contacts+' <br></td></tr>'+
 			'</table>'+
-			'<table border=0 height="208px"  width="100%" id="import_span">'+
+			'<table border=0 height="100%"  width="100%" id="import_span">'+
 			'<tr><td>'+
 			'<font color="DARKBLUE" size="2">'+lang_expresso_info_csv+'</font></td></tr>'+
@@ -91,4 +93,5 @@
 			'<option value="outlook">'+("Outlook Express")+'</option>'+
 			'<option value="outlook2000">'+("Outlook 2000")+'</option>'+
+			'<option value="outlook2003">'+("Outlook 2003")+'</option>'+
 			'<option value="thunderbird">'+("Mozilla Thunderbird")+'</option>'+
 			'<option value="expresso" selected>'+lang_expresso_default+'</option></select><br>'+
@@ -102,5 +105,5 @@
 			'<input type="button" value='+lang_close_win+' onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
 			'<tr><td height="10px" align="center" nowrap><span style="visibility:hidden" id="s_info2"></span></td></tr></table>'+
-			'<table border=0  height="208px"  width="100%" style="display:none" id="export_span">'+
+			'<table border=0  height="100%"  width="100%" style="display:none" id="export_span">'+
 			'<tr><td>'+						
 			'<font color="DARKBLUE" size="2">'+ lang_msg_expresso_info_csv+'</font></td></tr>'+
@@ -112,8 +115,8 @@
 			'<option value="outlook2000_pt-BR">'+lang_outl2k_pt+'</option>'+
 			'<option value="outlook2000_en">'+lang_outl2k_en+'</option>'+
+			'<option value="outlook2003">'+lang_outl03+'</option>'+
 			'<option value="thunderbird">'+lang_moz_tb+'</option>'+
 			'</select>'+			
 			'</td></tr>'+
-			'<tr><td align="center">&nbsp;</td></tr>'+
 			'<tr><td nowrap><center><input id="export_button" type="button" value='+lang_export_contacts+ ' onClick="javascript:ccIEContacts.exportCSV(this)">&nbsp;&nbsp;&nbsp;&nbsp;'+
 			'<input type="button" value='+lang_close_win+ ' onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
@@ -121,4 +124,7 @@
 		}		
 		this.showWindow();
+		if(Element('s_info'))
+			Element('s_info').style.visibility = 'hidden';
+		ccIEContacts.cleanInfo();
 	}
 	
@@ -131,5 +137,5 @@
 				content_id: this.el.id,
 				width: (this.wWidth +(is_ie ? 41 : 0))  +'px',
-				height: this.wHeight +'px',
+				height: this.wHeight +100+'px',
 				title_color: '#3978d6',
 				bg_color: '#eee',
@@ -166,4 +172,5 @@
 		var l_2 	= '<font face="Verdana" size="1" color="RED">['+args[2]+lang_failure+']</font>';
 		var l_3		= '<font face="Verdana" size="1" color="DARKBLUE">['+args[3]+lang_exists+']</font>';
+		if(args[2])
 		var l_4 	= '<br><a font face="Verdana" size="1" href="javascript:ccIEContacts.showFailures(\''+args[4]+'\')">'+lang_show_more_info+'</a>';
 		var l_error	= '<span style="height:15px;background:#cc4444">&nbsp;&nbsp;<font face="Verdana" size="1" color="WHITE">'+lang_import_fail+ '&nbsp;</font></span>';
@@ -172,6 +179,9 @@
 		if(args[0] == 'success') {
 
-			for(i = 1; i < 5; i++) {
+			for(i = 1; i < 4; i++) {
 				status += "&nbsp;"+eval('l_'+i);
+			}
+			if(args[2]){
+				status += "&nbsp;"+eval('l_4');
 			}
 			Element('s_info').innerHTML = '&nbsp;&nbsp;<font face="Verdana" size="1" color="BLACK"><b>'+lang_import_finish+'</b></font><br>&nbsp;'+status;
@@ -200,4 +210,5 @@
 	cIEContacts.prototype.importCSV = function ()
 	{		
+		ccIEContacts.cleanInfo();
 		var lang_msg_invalid_csv = Element('cc_msg_invalid_csv').value;
 		var form = document.formCSV;
@@ -223,5 +234,6 @@
 				args[3] = data._existing ? data._existing : 0;
 				args[4] = data._failure_status
-
+				if(args[1] > 0)
+					ccTree.setCatalog("0.0");
 			}
 			_this.importWriteStatus(args);
Index: /trunk/contactcenter/js/ccListParticipants.js
===================================================================
--- /trunk/contactcenter/js/ccListParticipants.js	(revision 880)
+++ /trunk/contactcenter/js/ccListParticipants.js	(revision 5131)
@@ -55,8 +55,9 @@
 		if(names.length) {
 			for (var d = 0; d < (names.length-1); d++) {																																					
+				var email_valido = email[d] != 'null' ? email[d] : "não informado"																																				
 				el.innerHTML +=	
 				"<font color='DARKBLUE'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+
 					"\"" + names[d]+ "\"" +
-					" &lt;"+email[d]+
+					" &lt;"+email_valido+
 					"&gt;</font>&nbsp;&nbsp;&nbsp;<br>";																	
 			}
